#pragma once

#include "CoreMinimal.h"
#include "DataAssetFloatValueStrategy.h"
#include "StatModifier.h"
#include "DataAssetStatFloatValueStrategy.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class DEADBYDAYLIGHT_API UDataAssetStatFloatValueStrategy : public UDataAssetFloatValueStrategy
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TArray<FStatModifier> _statModifiers;

public:
	UDataAssetStatFloatValueStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UDataAssetStatFloatValueStrategy) { return 0; }
